Bug 249023 - [totem] [x86_64] - Totem is crashing when drag the window border fast
Summary: [totem] [x86_64] - Totem is crashing when drag the window border fast
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gstreamer-plugins-base (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: x86_64 Linux
low
low
Target Milestone: ---
: ---
Assignee: Bastien Nocera
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 13:04 UTC by Satyabrata Maitra
Modified: 2008-06-05 13:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-05 13:08:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace .txt file (13.79 KB, text/plain)
2007-07-20 13:04 UTC, Satyabrata Maitra
no flags Details
traceback file .txt latest with debuginfo package (12.39 KB, text/plain)
2007-07-20 14:01 UTC, Satyabrata Maitra
no flags Details
crash report -3 (112.44 KB, text/plain)
2007-07-23 07:13 UTC, Satyabrata Maitra
no flags Details
rpm query file (5.33 KB, text/plain)
2007-07-23 07:14 UTC, Satyabrata Maitra
no flags Details

Description Satyabrata Maitra 2007-07-20 13:04:18 UTC
Description of problem:
Totem is crashing and producing backtrace when drading its window side to make
the screen bigger.

Version-Release number of selected component (if applicable):
totem-2.16.4-2.el5

How reproducible:
always

Steps to Reproduce:
1. Login with an x86_64 server RHEL5 system
2. Open totem and play any .ogg file
3. When the file is running, select the window side or border and drag it fast
to enlarge or squeeze the screen.
4. It will crash and will generate a backtrace.
  
Actual results:
Crashing with backtrace

Expected results:
It should not crash firstly and it should perform properly.

Additional info:
The backtrace report is attached with this bug as .txt file.

Comment 1 Satyabrata Maitra 2007-07-20 13:04:18 UTC
Created attachment 159651 [details]
Backtrace .txt file

Comment 2 Bastien Nocera 2007-07-20 13:12:39 UTC
Could you please get a full backtrace with the appropriate debuginfo packages
installed?

Please also let me know the exact version of Totem and its dependencies.

Comment 3 Satyabrata Maitra 2007-07-20 13:59:18 UTC
Hi Bastein

i installed totem-debuginfo package and its given me the following traceback
this time. attached below. 

and totem version is as I mentioned before too..
totem-2.16.4-2.el5.x86_64
totem-debuginfo-2.16.4-2.el5.x86_64
gnome-python2-totem-2.16.0-1.fc6.x86_64 (already installed from before)
totem-devel-2.16.4-2.el5.x86_64
totem-mozplugin-2.16.4-2.el5.x86_64

-------xxxxxxxxx---------
Totem installed here in this system from before I tested it. I only installed
debuginfo package here by my own. So, cant say abt dependencies appeared at the
time of installation really. Please inform if anything more info u need. :)

Comment 4 Satyabrata Maitra 2007-07-20 14:01:27 UTC
Created attachment 159655 [details]
traceback file .txt latest with debuginfo package

Comment 5 Bastien Nocera 2007-07-20 14:26:22 UTC
The crash is in GStreamer, so I need the whole of glib2, gstreamer and glibc's
debuginfo files installed when you get this backtrace.
for i in `rpm -q --requires totem` ; do rpm -q --whatprovides $i ; done

Comment 6 Satyabrata Maitra 2007-07-23 07:13:53 UTC
Created attachment 159764 [details]
crash report -3

I installed glib2, gstreamer and glibc debuginfo packages and collected the bug
buddy report as well as the messages shown in g-t during crash in a file which
is attached here.

the output of the rpm query too is captured in a file. Pls have a look.

Comment 7 Satyabrata Maitra 2007-07-23 07:14:33 UTC
Created attachment 159765 [details]
rpm query file

Comment 8 Bastien Nocera 2007-07-24 15:26:51 UTC
That's the same as the upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=349105

I'll need to backport the patch to gstreamer-plugins-base. Targetting for 5.2 as
it's not a regression from 5.1.

Comment 9 RHEL Product and Program Management 2007-10-19 20:27:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Suzanne Yeghiayan 2008-01-24 18:47:01 UTC
Unfortunately Red Hat Engineering was unable to resolve this issue by RHEL 5.2
Beta Freeze.  This issue has been moved to address in RHEL 5.3.

Comment 11 RHEL Product and Program Management 2008-06-04 22:49:08 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 Bastien Nocera 2008-06-05 13:08:19 UTC
Package upgrade for GStreamer is already planned in bug 450103, so no need for a
backport of the patch.


Note You need to log in before you can comment on or make changes to this bug.